import { Session } from "../../src/session";
import { Pab } from "../../src/pab/pab";

describe("PAB and Cloisons", () => {

    it("Hidden Cloison params should not be linkable to PAB", () => {
        const sess = `{"header":{"source":"jalhyd","format_version":"1.3","created":"2020-07-27T15:02:25.988Z"},"settings":{"precision":1e-7,"maxIterations":100,"displayPrecision":3},"documentation":"","session":[{"uid":"NXB0eX","props":{"calcType":"Cloisons"},"meta":{"title":"Cloisons"},"children":[{"uid":"Z3ZjMT","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"h1","mode":"CALCUL","value":2},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"NXZiMG","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"Q","mode":"SINGLE","value":0.15},{"symbol":"Z1","mode":"SINGLE","value":1021312.48},{"symbol":"LB","mode":"SINGLE","value":1.7},{"symbol":"BB","mode":"SINGLE","value":1.2},{"symbol":"PB","mode":"SINGLE","value":1.055},{"symbol":"DH","mode":"SINGLE","value":0.292}]},{"uid":"cHBtaD","props":{"calcType":"Pab"},"meta":{"title":"PAB"},"children":[{"uid":"dTd6bW","props":{"calcType":"Cloisons"},"children":[{"uid":"OHFxNW","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":1312.19},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"cm15MG","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"LB","mode":"SINGLE","value":1.7},{"symbol":"BB","mode":"SINGLE","value":1.2},{"symbol":"ZRMB","mode":"SINGLE","value":1311.133},{"symbol":"ZRAM","mode":"SINGLE","value":1311.279},{"symbol":"QA","mode":"SINGLE","value":0}]},{"uid":"a2g4Ym","props":{"calcType":"Cloisons"},"children":[{"uid":"M3A4NW","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":1311.898},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"dDk1em","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"LB","mode":"SINGLE","value":1.7},{"symbol":"BB","mode":"SINGLE","value":1.2},{"symbol":"ZRMB","mode":"SINGLE","value":1310.84},{"symbol":"ZRAM","mode":"SINGLE","value":1310.986},{"symbol":"QA","mode":"SINGLE","value":0}]},{"uid":"ZDZxMD","props":{"calcType":"Cloisons"},"children":[{"uid":"N2k5NW","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":1311.605},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"ajFken","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"LB","mode":"SINGLE","value":1.7},{"symbol":"BB","mode":"SINGLE","value":1.2},{"symbol":"ZRMB","mode":"SINGLE","value":1310.548},{"symbol":"ZRAM","mode":"SINGLE","value":1310.694},{"symbol":"QA","mode":"SINGLE","value":0}]},{"uid":"Z3NxYW","props":{"calcType":"Cloisons"},"children":[{"uid":"MXpzZz","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":1311.313},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"OTNiaj","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"LB","mode":"SINGLE","value":1.7},{"symbol":"BB","mode":"SINGLE","value":1.2},{"symbol":"ZRMB","mode":"SINGLE","value":1310.255},{"symbol":"ZRAM","mode":"SINGLE","value":1310.401},{"symbol":"QA","mode":"SINGLE","value":0}]},{"uid":"aHZ6em","props":{"calcType":"Cloisons"},"children":[{"uid":"Nmxwem","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":1311.02},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"ZXJvcG","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"LB","mode":"SINGLE","value":1.7},{"symbol":"BB","mode":"SINGLE","value":1.2},{"symbol":"ZRMB","mode":"SINGLE","value":1309.963},{"symbol":"ZRAM","mode":"SINGLE","value":1310.109},{"symbol":"QA","mode":"SINGLE","value":0}]},{"uid":"OGJ5Mn","props":{"calcType":"Cloisons"},"children":[{"uid":"bmhnN2","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":1310.728},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"Nm9ob3","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"LB","mode":"SINGLE","value":1.7},{"symbol":"BB","mode":"SINGLE","value":1.2},{"symbol":"ZRMB","mode":"SINGLE","value":1309.67},{"symbol":"ZRAM","mode":"SINGLE","value":1309.816},{"symbol":"QA","mode":"SINGLE","value":0}]},{"uid":"NXV1OH","props":{"calcType":"Cloisons"},"children":[{"uid":"cjlxYm","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":1310.435},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"YjEzZm","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"LB","mode":"SINGLE","value":1.7},{"symbol":"BB","mode":"SINGLE","value":1.2},{"symbol":"ZRMB","mode":"SINGLE","value":1309.378},{"symbol":"ZRAM","mode":"SINGLE","value":1309.524},{"symbol":"QA","mode":"SINGLE","value":0}]},{"uid":"Njdtcn","props":{"calcType":"Cloisons"},"children":[{"uid":"bzczNG","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":1310.143},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"YnQxcD","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"LB","mode":"SINGLE","value":1.7},{"symbol":"BB","mode":"SINGLE","value":1.2},{"symbol":"ZRMB","mode":"SINGLE","value":1309.085},{"symbol":"ZRAM","mode":"SINGLE","value":1309.231},{"symbol":"QA","mode":"SINGLE","value":0}]},{"uid":"ajV6Yj","props":{"calcType":"Cloisons"},"children":[{"uid":"eWNmeW","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":1309.85},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"d21haT","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"LB","mode":"SINGLE","value":1.7},{"symbol":"BB","mode":"SINGLE","value":1.2},{"symbol":"ZRMB","mode":"SINGLE","value":1308.793},{"symbol":"ZRAM","mode":"SINGLE","value":1308.939},{"symbol":"QA","mode":"SINGLE","value":0}]},{"uid":"YndkYm","props":{"calcType":"Cloisons"},"children":[{"uid":"cTdlM2","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":1309.558},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"bHBnOD","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"LB","mode":"SINGLE","value":1.7},{"symbol":"BB","mode":"SINGLE","value":1.2},{"symbol":"ZRMB","mode":"SINGLE","value":1308.5},{"symbol":"ZRAM","mode":"SINGLE","value":1308.646},{"symbol":"QA","mode":"SINGLE","value":0}]},{"uid":"ZzhnM2","props":{"calcType":"Cloisons"},"children":[{"uid":"ZzdiaW","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":1309.265},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"ZXpzaG","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"LB","mode":"SINGLE","value":1.7},{"symbol":"BB","mode":"SINGLE","value":1.2},{"symbol":"ZRMB","mode":"SINGLE","value":1308.208},{"symbol":"ZRAM","mode":"SINGLE","value":1308.354},{"symbol":"QA","mode":"SINGLE","value":0}]}],"parameters":[{"symbol":"Q","mode":"CALCUL","value":0.15},{"symbol":"Z1","mode":"LISTE","values":[1312.18,1312.48,1312.8],"extensionStrategy":0},{"symbol":"Z2","mode":"SINGLE","value":1021312.48}],"downWall":{"uid":"bnQ5Yn","props":{"calcType":"CloisonAval"},"children":[{"uid":"YjRzcD","props":{"calcType":"Structure","structureType":"SeuilRectangulaire","loiDebit":"WeirVillemonte"},"children":[],"parameters":[{"symbol":"ZDV","mode":"SINGLE","value":1308.973},{"symbol":"L","mode":"SINGLE","value":0.3},{"symbol":"CdWR","mode":"SINGLE","value":0.4}]},{"uid":"dnM2YT","props":{"calcType":"Structure","structureType":"Orifice","loiDebit":"OrificeSubmerged"},"children":[],"parameters":[{"symbol":"S","mode":"SINGLE","value":0.04},{"symbol":"CdO","mode":"SINGLE","value":0.7}]}],"parameters":[{"symbol":"ZRAM","mode":"SINGLE","value":1308.061}]}}]}`;

        Session.getInstance().clear();
        Session.getInstance().unserialise(sess);
        const pab = Session.getInstance().findNubByUid("cHBtaD") as Pab;

        const lp = Session.getInstance().getLinkableValues(pab.prms.Z2);
        expect(lp.length).toBe(1);
        expect(lp[0].symbol).toBe("Z1", "Cloisons.Z1 should be the only linkable parameter");
    });

});
